External Protocol Analyzer Time Correlation

Online Help

Version 04.00.0000

Copyright © 2001-2010 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

August 26, 2010

Table of Contents

External Protocol Analyzer Time Correlation—At a Glance
Getting Started with External Protocol Analyzer Time Correlation
Step 1. Network the protocol analyzer and logic analysis system
Using a Point-to-Point Network
Step 2. Install Agilent System Protocol Tester software
Step 3. Connect the correlation cable between the protocol analyzer and the logic analysis system
Step 4. Restart Windows on the logic analysis system
To restart the Agilent Logic Analysis service
To verify CLOCK IN is being used
Step 5. Set up the external protocol analyzer connection
Step 6. Make a measurement
Using the Correlated Markers
Modifying the External Protocol Analyzer Setup
Saving and Opening Configurations with External Protocol Analyzers
Analyzing Correlated Data Offline
Viewing Protocol Analyzer and Logic Analyzer Interfaces on the Same System
External Protocol Analyzer Troubleshooting
Error Messages
LAN Problems
Triggering Problems
External Protocol Analyzer Setup Dialog
Connection Tab
Trigger Tab
External Protocol Analyzer Concepts
Uncertainty
What Do the Skew Numbers Mean?
External Protocol Analyzer Module Control, COM Automation
External Protocol Analyzer Module Setup, XML Format
<Config> Element
<Markers> Element
<Programming> Element
<ProtocolAnalyzerServer> Element
<TriggerSetup> Element


External Protocol Analyzer Time Correlation—At a Glance

You can set up an external protocol analyzer and a logic analyzer to cross-trigger and make time-correlated measurements (using markers). External protocol analyzer time correlation works with these modules for the Agilent E2960B Series protocol analyzers for PCI Express:

  • Agilent N5306A protocol analyzer modules for PCI Express Gen 2.

A special cable for logic analyzer correlation is required:

  • The N5313A cable connects between the protocol analyzer module's Trigger In/Out port and the logic analysis system's TRIGGER IN, TRIGGER OUT, and CLOCK IN BNC connectors and provides basic cross-triggering.

  • The N5319A cable connects between the N5306A protocol analyzer module's Inter-Module (x16) port and a 16900A, 16901A, 16902A, or 16902B logic analysis system's multiframe connector and provides more flexible cross-triggering via flags.

When you set up an external protocol analyzer, the logic analysis system uses default (typical) deskew values for the types of logic analyzer and protocol analyzer being used. You can also enter deskew values manually.

In This Book

  • Getting Started

    • Step 1. Network the protocol analyzer and logic analysis system

    • Step 2. Install Agilent System Protocol Tester software

    • Step 3. Connect the correlation cable between the protocol analyzer and the logic analysis system

    • Step 4. Restart Windows on the logic analysis system

    • Step 5. Set up the external protocol analyzer connection

    • Step 6. Make a measurement

  • Using the Correlated Markers

  • Modifying the External Protocol Analyzer Setup

  • Saving and Opening Configurations with External Protocol Analyzers

  • Analyzing Correlated Data Offline

  • Viewing Protocol Analyzer and Logic Analyzer Interfaces on the Same System

See Also

  • Troubleshooting

  • External Protocol Analyzer Setup Dialog

  • Concepts

  • External Protocol Analyzer Module Control, COM Automation

  • External Protocol Analyzer Module Setup, XML Format


Getting Started with External Protocol Analyzer Time Correlation

Software for external protocol analyzer time correlation and data display is built-in to the Agilent Logic Analyzer application.

To use the external protocol analyzer time correlation software, follow these steps:

  • Step 1. Network the protocol analyzer and logic analysis system

  • Step 2. Install Agilent System Protocol Tester software

  • Step 3. Connect the correlation cable between the protocol analyzer and the logic analysis system

  • Step 4. Restart Windows on the logic analysis system

  • Step 5. Set up the external protocol analyzer connection

  • Step 6. Make a measurement


Step 1. Network the protocol analyzer and logic analysis system

This diagram illustrates the basic external protocol analyzer connection. The protocol analyzer's controller PC is connected to the corporate LAN and has a second LAN card for creating a private LAN between the controller PC and one or more protocol analyzer chassis. The logic analysis system must be connected to the same corporate LAN as the controller PC.

The user interfaces for the protocol analyzer and the logic analysis system can run on any PC on the corporate LAN that has both the protocol analyzer controller software and Agilent Logic Analyzer application software installed.

The N5306A protocol analyzer card probes the device under test and supplies the Trigger In, Trigger Out, and Clock In signals to the logic analysis system via the special N5313A cable.

[Note]

If the logic analysis system and external protocol analyzer's controller PC are both already connected to a LAN, you can skip this step.

If the logic analysis system and external protocol analyzer's controller PC are not already connected to a LAN, a simple point-to-point connection may be the most convenient (see Using a Point-to-Point Network).

If you do not want to use a point-to-point connection, refer to the logic analysis system or controller PC operating system instructions for setting them up the instrument on the network.

Next

  • Step 2. Install Agilent System Protocol Tester software


Using a Point-to-Point Network

To set up a point-to-point connection between the logic analysis system and the protocol analyzer's controller PC, use a special "cross-over" LAN cable.

  1. Connect one end of the cross-over cable to the network interface on the logic analysis system and the other end to the corporate LAN network interface on the protocol analyzer's controller PC.

    (The controller PC has another private LAN network interface that connects to the protocol analyzer chassis.)

  2. Configure the networking software on the protocol analyzer's controller PC (see Protocol Analyzer Point-to-Point Network Set Up).

  3. Configure the networking software on the logic analysis system (see Logic Analysis System Point-to-Point Network Set Up).


Protocol Analyzer Point-to-Point Network Set Up

  1. Make sure networking is enabled on the protocol analyzer's controller PC.

  2. Set the controller PC's corporate LAN network interface IP Address to 192.0.2.231.

  3. Set the Subnet Mask to 255.255.255.0.

  4. If there is a WINS resolution option, disable it.

  5. Remove any installed gateways.

  6. If there is a DNS option, disable it.

See Also

  • Logic Analyzer Point-to-Point Network Set Up


Logic Analysis System Point-to-Point Network Set Up

  1. From the Start menu, select Setting>Network and Dial-up Connection.

  2. Right-click on Local Area Connection and select Properties.

  3. Ensure that the TCP/IP component is installed, then select Properties.

  4. In the Properties dialog, set the IP Address and Subnet Mask.

    1. Set the IP Address to 192.0.2.232.

    2. Set the Subnet Mask to 255.255.255.0.

  5. Select the Advanced tab.

    1. In the IP Settings tab, remove any installed gateways.

    2. In the DNS tab, remove all DNS addresses from the list.

    3. In the WINS tab, remove all WINS addresses from the list.

  6. Close the dialogs and click Yes if prompted to continue.

See Also

  • Protocol Analyzer Point-to-Point Network Set Up


Step 2. Install Agilent System Protocol Tester software

The Agilent System Protocol Tester software must be installed on the system where the Agilent Logic Analyzer application is running and on the system that is being used as the protocol analyzer server.

The Agilent System Protocol Tester software can be installed on the logic analysis system frame if you want to run both applications there.

[Note]

The Agilent System Protocol Tester install software asks if you want to install "Client Installation" or "Controller PC Installation (includes client)". The Controller PC Installation is required only for the PC that will act as the controller and be physically connected via the private LAN to the protocol analyzer chassis. All other systems, including the logic analysis system frame, need only the "Client Installation".

Next

  • Step 3. Connect the correlation cable between the protocol analyzer and the logic analysis system


Step 3. Connect the correlation cable between the protocol analyzer and the logic analysis system

The N5313A and N5319A cables can be used at the same time, but typically one or the other is used.

When using the N5313A cable

  1. Connect the cable's N-pin end to the N5306A protocol analyzer card's Trigger In/Out port.

  2. Connect the cable's TRIG_OUT BNC connector to the logic analysis system's TRIGGER IN.

  3. Connect the cable's TRIG_IN BNC connector to the logic analysis system's TRIGGER OUT.

  4. Connect the cable's CLK_OUT BNC connector to the logic analysis system's CLOCK IN.

When using the N5319A cable:

A logic analysis system with multiframe connectors is required; currently, these are the 16900A, 16901A, 16902A, or 16902B logic analysis systems.

  1. Connect the cable's inter-module connector end to the N5306A protocol analyzer card's Inter-Module (x16) port.

  2. Connect the cable's multiframe connector end to the logic analysis system's MULTIFRAME OUTPUT port.

Next

  • Step 4. Restart Windows on the logic analysis system


Step 4. Restart Windows on the logic analysis system

[Note]

You only need to perform this step if you are using the N5313A correlation cable. If you are using the N5319A correlation cable, go on to the next step.

The logic analysis system's CLOCK IN input is automatically set up and used when a clock is detected while the logic analysis system restarts. Therefore, make sure the instruments are connected using these steps:

  1. Make sure the N5313A cable is connected between the protocol analyzer and the logic analysis system.

  2. Make sure the protocol analyzer is powered on and that a session with the N5306A protocol analyzer card has been started (so that an active clock signal is sent to the logic analysis system's CLOCK IN input).

  3. Restart Windows on the logic analysis system.

    Technically, the logic analysis system's CLOCK IN input is automatically set up when the Agilent Logic Analysis service starts (which happens after restarting Windows). Therefore, you can also restart the Agilent Logic Analysis service instead of restarting Windows.

Next

  • Step 5. Set up the external protocol analyzer connection

See Also

  • To verify that CLOCK IN is being used


To restart the Agilent Logic Analysis service

  1. Before restarting the service, check that no one else is using the the logic analysis system.

    If someone is using the logic analysis system remotely, restarting the service will take their session offline.

  2. From the Windows Start menu, choose Control Panel; then, open the Administrative Tools folder.

  3. In the Administrative Tools folder, double-click Services to open the Services window.

  4. In the Services window, right-click Agilent Logic Analysis and choose Restart from the popup menu.

    The Agilent Logic Analyzer application is taken offline and the service is restarted, which includes the detection of an external 10 MHz CLOCK IN signal. Dialogs and progress bars indicate what is happening. When everything is finished, the Agilent Logic Analyzer application is left offline.

  5. To go back online, choose File>Go Online To Local Host.

    A dialog asks if you want to save your configuration. Unless you previously saved the configuration, you should save it now. When you are back online, you are in the default power up configuration.

  6. Load your saved configuration to complete the process.

See Also

  • To verify that CLOCK IN is being used


To verify CLOCK IN is being used

  1. Right-click the Agilent Notification Center Icon (lower, right-hand corner of the desktop), and choose Show Instrument Details from the popup menu.

    Or, to access instrument details from within the Agilent Logic Analyzer application:

    1. Choose File>Go Online To....

    2. In the Select System to Use dialog, select the appropriate frame, and click Details....

  2. In the resulting dialog, expand Frame Details in the hierarchy tree, and look at the Clock Source item.

    External from "Clock In" BNC shows the CLOCK IN input is being used:

    Internal shows the internal clock is being used:


Step 5. Set up the external protocol analyzer connection

  1. From the Agilent Logic Analyzer application's main menu, choose Setup>Add External Protocol Analyzer.

    Note that you can set up an external protocol analyzer connection when viewing logic analyzer data offline (see Analyzing Correlated Data Offline).

  2. In the External Protocol Analyzer Setup dialog, enter the protocol analyzer controller PC's hostname or IP address in the Server field; then, click Get Session List.

  3. In the session list, select the session you want to connect to; then, click Connect to a Session.

    When connected to a session, "Connected" appears in the session list's Connected column, and the Trigger tab becomes available.

  4. When using the N5319A correlation cable, select Multiframe Connector in the Cable Connection box; otherwise (when using the N5313A correlation cable only), select Trigger In and Trigger Out BNC Connectors.

  5. In the Trigger tab, set the trigger options:

    • When the N5313A correlation cable is used, select the Trigger Direction and the logic analyzer module.

      [Note]

      The external protocol analyzer module can cross-trigger with split logic analyzer modules; however, the "External Protocol Analyzer triggers Logic Analyzer" direction will not trigger the second half of a split logic analyzer.

    • When the N5319A correlation cable is used, flags give you more flexibility when setting up cross-triggering. The protocol analyzer user interface software's Trigger Dialog lets you use External Flags, and you can do the same thing in the Agilent Logic Analyzer application's Advanced Trigger dialog (see Using Flags).

  6. You can select the Default trigger deskew value (a typical value for the type of logic analyzer and protocol analyzer being used), or you can select Manual and enter a trigger deskew value.

  7. Click OK to close the External Protocol Analyzer Setup dialog.

A protocol analyzer module is added to the Overview window, and the arming connection diagram shows how the cross-triggering is set up. In the following example, the N5313A correlation cable is used, and the logic analyzer triggers the external protocol analyzer.

In the next example below, the N5319A correlation cable is used and the logic analyzer sets Flag 3 and then waits for Flag 4 from the protocol analyzer. The protocol analyzer waits for Flag 3 and then sets Flag 4.

Note that the trigger icon and menu items are enabled — this shows the connection is active and lets you change the cross-triggering or trigger deskew setup.

At this point, the protocol analyzer is:

  • Another module within the logic analysis system.

  • Able to participate in coordinated runs.

  • Able to trigger or receive triggers from other modules in the logic analysis system.

The logic analysis system frame is the master frame responsible for running both frames together. Thus, if run is pressed from within the logic analysis system, both the logic analyzer and the protocol analyzer are run together. In contrast, pressing run from the protocol analyzer only runs the protocol analyzer and not the logic analyzer.

Note that you can set up multiple external protocol analyzer modules.

Next

  • Step 6. Make a measurement

See Also

  • Modifying the External Protocol Analyzer Setup


Step 6. Make a measurement

After the external protocol analyzer connection is set up, you may proceed with your measurements as follows:

  1. Connect the protocol analyzer probe and the logic analyzer leads to the device under test.

    Do not disconnect the special correlation cable between the protocol analyzer and the logic analysis system.

  2. Set up the trigger condition.

  3. Press the Run button on the logic analyzer front panel.

  4. Select the Waveform tab to view your measurement results.

Logic Analyzer Triggers External Protocol Analyzer (with N5313A cable)

When the software is configured for Logic Analyzer triggers External Protocol Analyzer, you can set any trigger condition you desire in the logic analyzer. However, do not change the protocol analyzer's trigger setup.

External Protocol Analyzer Triggers Logic Analyzer (with N5313A cable)

When the software is configured for External Protocol Analyzer triggers Logic Analyzer, you may set any trigger condition you desire in the protocol analyzer. However, do not change the logic analyzer's trigger setup.

See Also

  • Using the Correlated Markers

  • Triggering Problems


Using the Correlated Markers

Correlated markers represent the same point in time on different instruments (taking the skew between instruments into account); they are essentially the same markers. Correlated markers are useful for associating the data displayed on one instrument with the data displayed on another.

Correlated markers are created when a connection to an external protocol analyzer is established (and removed when the connection is removed).

When a correlated marker is moved within the logic analysis system, the corresponding protocol analyzer marker is also moved and vice-versa.

When there are multiple modules in a protocol analyzer, correlation is always with the first module.

Protocol Analyzer Markers

Ax — LA | Correlated with the logic analyzer's Ax — PA marker.
Bx — LA | Correlated with the logic analyzer's Bx — PA marker.
Trigger — LA | Correlated with the logic analyzer's T (System Trigger) marker. This marker only moves when the logic analyzer module's system trigger or skew settings are changed (see Setting the System Trigger and Skew Between Modules).

Logic Analyzer Markers

Ax — PA | Correlated with the protocol analyzer's Ax — LA marker.
Bx — PA | Correlated with the protocol analyzer's Bx — LA marker.

Like other markers in the logic analysis system, Ax — PA and Bx — PA marker properties can be accessed through the Markers menu.


Modifying the External Protocol Analyzer Setup

  1. From the main menu, choose a command from the Setup>(External Protocol Analyzer)> menu.

    Or in the Overview window, select a command from the protocol analyzer module's drop-down menu.

    The External Protocol Analyzer Setup dialog is opened with one of these tabs selected:

    Trigger tab

    Used for changing the trigger direction and setting the trigger deskew.

    Connection tab

    Used for changing the connection to a protocol analyzer server and session.

  2. Make the desired changes.

  3. Click OK.

To delete the external protocol analyzer

  1. Choose Setup>(External Protocol Analyzer)>Delete from the menu bar.

To disable the external protocol analyzer

  1. Choose Setup>(External Protocol Analyzer)>Disable... from the menu bar.

To rename the external protocol analyzer

  1. Choose Setup>(External Protocol Analyzer)>Rename... from the menu bar.


Saving and Opening Configurations with External Protocol Analyzers

Saving Configurations

When saving a configuration with an external protocol analyzer module, the module's settings are saved, but no protocol analyzer setup information or data is saved.

A correlation ID is also saved. This ID is associated with data from a particular protocol analyzer. The ID is used to make sure that, after a configuration file is re-opened, marker moves will occur in the proper protocol analyzer.

Opening Configurations

When opening a configuration file containing an external protocol analyzer module, the software attempts to connect to the protocol analyzer session (host, handle, and correlation ID) that was saved. If that session does not exist, an error message is displayed, and the external protocol analyzer module is left with only the Connection button/menu item available.

The Agilent Logic Analyzer application supports offline analysis of logic analyzer and protocol analyzer data. When protocol analyzer data is being analyzed offline, the host and session are likely to be different than when the data was captured. In this case, when setting up the connection, you must know the hostname or IP address of the controller PC and session that is analyzing the offline data.

See Also

  • Analyzing Correlated Data Offline


Analyzing Correlated Data Offline

The Agilent Logic Analyzer application supports offline analysis of logic analyzer and protocol analyzer data. When protocol analyzer data is being analyzed offline, the host and session are likely to be different than when the data was captured.

  1. If protocol analyzer data is being analyzed offline on a different controller PC than was used to capture the data, make note of the hostname (or IP address) of the new controller PC and the session that is analyzing the offline data.

  2. In the Agilent Logic Analyzer application, go offline, and then open the configuration file containing the logic analyzer data.

  3. Choose Setup>(External Protocol Analyzer)>Connection..., or in the Overview window select Setup>Connection... from the external protocol analyzer's drop-down menu.

  4. In the External Protocol Analyzer Setup dialog, enter the protocol analyzer controller PC's hostname or IP address in the Server field; then, click Get Session List.

  5. In the session list, select the session you want to connect to; then, click Connect to a Session.

    When connected to a session, "Connected" appears in the session list's Connected column.

  6. Click OK to close the External Protocol Analyzer Setup dialog.


Viewing Protocol Analyzer and Logic Analyzer Interfaces on the Same System

Both the Agilent Logic Analyzer application and the protocol analyzer analyzer user interface run on PCs with Windows XP or Windows Vista operating system.

To view both user interfaces on the same system, you can:

  • User the Remote Desktop operating system feature or other software for remotely controlling another system (like RealVNC or NetOp for example).

  • Install the Agilent Logic Analyzer application on the protocol analyzer's controller PC. The Agilent Logic Analyzer application lets you connect to a remote logic analysis system.


External Protocol Analyzer Troubleshooting

  • Error Messages

  • LAN Problems

  • Triggering Problems


Error Messages

COM Failure. Please verify the installation and configuration of: Agilent System Protocol Tester Software On this system and the server.

The "Agilent System Protocol Tester" software must be installed on the system where the Agilent Logic Analyzer application is running and on the system that is being used as the protocol analyzer server. It can be installed on the logic analysis system frame if you want to run both applications there.

There are no ProtocolAnalyzer sessions on localhost.

This happens when the Server name entered in the Connection tab is running the protocol analyzer server software, but there are no sessions currently running on that server. The "localhost" string will be replaced by the actual Server name that was entered.

The connection to a session on (hostname) has been lost.

After successfully connecting to a session on a server, that session is shut down. The preferred shutdown sequence is to first delete the External Protocol Analyzer module from the Agilent Logic Analyzer application's Overview window and then shut down the protocol analyzer session on the Server.

The Logic Analyzer and Protocol Analyzer are no longer correlated. This can happen if the Protocol Analyzer is run separately. A Run from the Logic Analyzer will reestablish correlation.

Once a connection is established, correlated runs are accomplished by using the Agilent Logic Analyzer application's Run button. The protocol analyzer Run button is not disabled, but using it will cause only the protocol analyzer to run; it will not run the logic analyzer. This message is displayed when the Agilent Logic Analyzer application detects that the protocol analyzer was run in a non-correlated manner.

This action cannot be completed because the other program is busy. Choose 'Switch To' to activate the busy program and correct the problem.

This indicates a serious COM failure, for example if the protocol analyzer server crashes. To recover, select "Switch To…" and then select the Protocol Analyzer application from the Windows Start Menu. Complete the recovery by deleting the External Protocol Analyzer tool from the Agilent Logic Analyzer application's Overview window.


LAN Problems

If you see a LAN error message:

  • Check the LAN connections to the external protocol analyzer and the logic analysis system.

  • Check with your LAN administrator to ensure that the LAN is currently functioning. In the Connection tab of the External Protocol Analyzer Setup dialog, make sure the correct IP address is entered.

  • If errors are reported, ask your LAN administrator to help you establish networking on the logic analysis system and protocol analyzer. Cycle power on both instruments.

  • If problems persist, contact Agilent Technologies for technical support.


Triggering Problems

  • Logic analyzer triggers external protocol analyzer (with N5313A cable)

  • External protocol analyzer triggers logic analyzer (with N5313A cable)

  • Why isn't the red trigger marker where I expect?

  • Check cable connections

Logic analyzer triggers external protocol analyzer (with N5313A cable)

When Logic Analyzer triggers External Protocol Analyzer is selected, the protocol analyzer is configured to trigger on the signal from the logic analysis system's Trigger Out.

If you manually change the protocol analyzer trigger, the next time you run the logic analyzer, the logic analysis system automatically resets the protocol analyzer to trigger on the signal from Trigger Out.

You can set any trigger condition you desire in the logic analyzer because you are using it to trigger the protocol analyzer.

External protocol analyzer triggers logic analyzer (with N5313A cable)

When External Protocol Analyzer triggers Logic Analyzer is selected, the logic analyzer is configured to trigger on an external Trigger In.

If you manually change the logic analyzer trigger, you will not be able to correctly time-correlate the instruments.

You may set any trigger condition you desire in the protocol analyzer because you are using it to trigger the logic analyzer.

Why isn't the red trigger marker where I expect?

Whenever you are using the external protocol analyzer module, you are performing a multiple instrument measurement. Measurements from each instrument are time correlated, but each instrument retains its actual trigger point.

Check cable connections

The correlation cable must remain connected between the logic analyzer and the protocol analyzer whenever you are using the time correlation feature.


External Protocol Analyzer Setup Dialog

The External Protocol Analyzer Setup dialog lets you set up connections to external protocol analyzers and specify the cross-triggering options.

The Trigger tab appears when a connection to a protocol analyzer session is made.

  • Connection Tab

  • Trigger Tab

See Also

  • Step 5. Set up the external protocol analyzer connection


Connection Tab

The External Protocol Analyzer Setup dialog's Connection tab lets you list protocol analyzer sessions and make a connection to one of them.

Server

Enter the protocol analyzer controller PC's hostname or IP address.

Get Session List

Gets a list of sessions from the entered controller PC server. If the connection to the server succeeds, the list of sessions is filled in. If the connection to the server fails, an error dialog appears.

(session list)

Contains information about the sessions running on a controller PC server.

  • Connected — Shows "Connected" if the external protocol analyzer module is connected to the session. Also, the Trigger tab appears when a connection is made.

  • Session — Shows the session number.

  • Type — Shows "ProtocolAnalyzer" sessions.

  • Label — Contains the session label.

  • Name(s) — Shows the protocol analyzer cards and ports being used by the session.

  • Module(s) — Describes the protocol analyzer modules being used by the session.

Connect to a Session

Connects to the selected session. If the connection succeeds the "Connected" text is filled in for the appropriate row and the Trigger tab appears (and is set up with default values). If the connection fails, an error dialog appears.

See Also

  • Trigger Tab


Trigger Tab

The Trigger tab is used for setting the trigger direction, selecting the logic analyzer to correlate measurements with, and modifying the trigger deskew.

Trigger Direction

The trigger direction determines which instrument is started first in a coordinated run.

When you change the trigger direction, a dialog pops up describing the trigger changes you need to make on the two instruments.

  • Logic Analyzer triggers External Protocol Analyzer — sets up the logic analyzer and protocol analyzer so that when the logic analyzer generates the trigger signal, the protocol analyzer receives the signal through its Trigger In channel and begins capturing data. You must manually set up the logic analyzer trigger.

  • External Protocol Analyzer triggers Logic Analyzer — sets up the logic analyzer and protocol analyzer so that when the protocol analyzer generates the trigger signal, the logic analyzer receives the signal through its Trigger In port and begins capturing data. You must manually set up the protocol analyzer trigger. Note that the external protocol analyzer will not trigger the second half of a split logic analyzer.

  • Analyzer — lets you choose the appropriate logic analyzer module for time correlation with the external protocol analyzer.

Trigger Deskew

  • Default — the trigger deskew is determined by the trigger direction (which determines which instrument triggers first and therefore whether skew is positive or negative) and a table of default skew times for each instrument.

  • Manual — lets you change the default deskew time by entering a time.

    The deskew value entered is used for both trigger directions (that is, manual deskew mode does not maintain separate values for each trigger direction).

See Also

  • Connection Tab


External Protocol Analyzer Concepts

The following information helps explain how the external protocol analyzer connection works.

  • Uncertainty

  • What Do the Skew Numbers Mean?


Uncertainty

Because the logic analyzer samples signals at intervals of one duration and the protocol analyzer will usually sample at intervals of an entirely different duration, and because signals can actually transition at any point in time with any possible relation to the sample period(s), there will always be some uncertainty about when the signal actually transitioned versus when the analyzer noticed the transition.

Another source of uncertainty is the circuit used by the intermodule bus (IMB) to cross-correlate the times of trigger events from different modules. This circuitry has a resolution of 2 ns.

The uncertainty will always be at least +/- one timing analyzer sample period plus 2 ns of intermodule bus uncertainty.


What Do the Skew Numbers Mean?

The skew (displayed in the Trigger tab of the External Protocol Analyzer Setup dialog) is the average trigger delay that is introduced external to the logic analyzer. The portion of the total skew that is internal to the logic analysis system is compensated for internally on a per-run basis. This internally measured skew is added to the constant skew that is displayed to compute the total skew. The total skew is added to the trigger time for the external protocol analyzer, thereby time-correlating the protocol analyzer trigger position with the trigger position of the logic analyzer.

The skew number is positive when the logic analyzer triggers the external protocol analyzer. In this case, a delay occurs between the time when the analyzer sees the trigger condition and when the Trigger Out signal arrives at the protocol analyzer Trigger In.

The skew number is negative when the external protocol analyzer triggers the logic analyzer. In this case, a delay occurs between the time when the protocol analyzer sees the trigger condition and when the Trigger Out signal arrives at the logic analyzer Trigger In.


External Protocol Analyzer Module Control, COM Automation

The Agilent Logic Analyzer application includes the COM Automation Server. This software lets you write programs that control the Agilent Logic Analyzer application from remote computers on the Local Area Network (LAN).

In a COM automation program, you can configure a module by:

  • Loading a configuration file (which configures the complete logic analyzer setup).

  • Using the Module object's DoCommands method with an XML-format string parameter (see Module Setup, XML Format).

You can get information about a module's configuration using the Module object's QueryCommand method. Queries supported by the External Protocol Analyzer module are listed below.

For more information about logic analyzer COM automation and module objects in general, see COM Automation.

XML-Based Queries Supported

The External Protocol Analyzer module supports the following XML-based queries (made with the Module object's QueryCommand method).

Query | Description
GetAllSetup | Returns the current setup, using the full tag set, used for writing generic configuration files (see the XML format Module Setup, XML Format).

See Also

  • COM Automation

  • Module Setup, XML Format


External Protocol Analyzer Module Setup, XML Format

When you save logic analyzer configurations to XML format files, setup information for the External Protocol Analyzer module is included.

This XML format setup information is also used when writing COM automation programs to control the logic analyzer from a remote computer.

XML elements for the External Protocol Analyzer module have the following hierarchy:

<ProtocolAnalyzerServer>
<TriggerSetup>
<Markers>
<Programming>
<Config>

Example

<Module Name='My Protocol Analyzer-1'>
   <ProtocolAnalyzerServer
         Name='dk5930m1'
         CorrelationID='d956c940-90ee-4f55-b760-f6d9469220dd'
         ModuleName='FC 1G-4G, FC 1G-4G'
   />
   <TriggerSetup
         TriggerDirection='LATrigPA'
         AutoDeskew='T'
         Analyzer='My 16752A-1'
         AutoDeskewIntExtTime='6.000000e-007'
         AutoDeskewExtIntTime='-6.000000e-007'
         ManualDeskewIntExtTime='0.000000e+000'
         ManualDeskewExtIntTime='0.000000e+000'
   />
   <Markers
         MarkerTriggerTime='0.000000600000000000000000'
         MarkerAxTime='-0.000006100000000000000000'
         MarkerBxTime='-0.000001100000000000000000'
   />
   <Programming
         LATrigTiming='
            &lt;Module&gt;
               &lt;Trigger Mode=&quot;Timing&quot;&gt;
                  &lt;Sequence Level=&quot;1&quot;&gt;
                     &lt;If&gt;
                        &lt;Event&gt;
                           &lt;Anything/&gt;
                        &lt;/Event&gt;
                        &lt;Occurrence Value=&quot;1&quot;/&gt;
                        &lt;Action&gt;
                           &lt;TriggerAction
                              Operator=&quot;Fill Memory&quot;/&gt;
                        &lt;/Action&gt;
                     &lt;/If&gt;
                  &lt;/Sequence&gt;
               &lt;/Trigger&gt;
            &lt;/Module&gt;
         '
         LATrigState='
            &lt;Module&gt;
               &lt;Trigger Mode=&quot;State&quot;&gt;
                  &lt;StoreQual&gt;
                     &lt;Event&gt;
                        &lt;Anything/&gt;
                     &lt;/Event&gt;
                  &lt;/StoreQual&gt;
                  &lt;Sequence Level=&quot;1&quot;&gt;
                     &lt;If&gt;
                        &lt;Event&gt;
                           &lt;Anything/&gt;
                        &lt;/Event&gt;
                        &lt;Occurrence Value=&quot;1&quot;/&gt;
                        &lt;Action&gt;
                           &lt;TriggerAction
                              Operator=&quot;Fill Memory&quot;&gt;
                              &lt;StoreQual&gt;
                                 &lt;Event&gt;
                                    &lt;Anything/&gt;
                                 &lt;/Event&gt;
                              &lt;/StoreQual&gt;
                           &lt;/TriggerAction&gt;
                        &lt;/Action&gt;
                     &lt;/If&gt;
                  &lt;/Sequence&gt;
               &lt;/Trigger&gt;
            &lt;/Module&gt;
         '
   />
   <Config
         TimeOfTrigger='0 s'
         CorrelatedTriggerTime='600 ns'
         UserSkewTime='0 s'
         SystemTrigger='F'
   />
</Module>

See Also

  • XML Format

  • Module Control, COM Automation


<Config> Element

The <Config> element describes the external protocol analyzer module skew and system trigger configuration.

Attributes

Name | Description
CorrelatedTriggerTime | 'number time_unit' (relative to system trigger time)
SystemTrigger | 'F' (false) or 'T' (true)
TimeOfTrigger | 'number time_unit' (seconds since the epoch if SystemTrigger='T')
UserSkewTime | 'number time_unit' ()

Parents

This element can have the following parents: <Module>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup query. You can also use this element string as an XMLCommand with the DoCommands method to configure the External Protocol Analyzer module.

Example

<Config
      TimeOfTrigger='0 s'
      CorrelatedTriggerTime='600 ns'
      UserSkewTime='0 s'
      SystemTrigger='F'
/>


<Markers> Element

The <Markers> element describes the Ax, Bx, and Trigger protocol analyzer marker times relative to the system trigger.

Attributes

Name | Description
MarkerAxTime | 'floating_point_number' (relative to system trigger)
MarkerBxTime | 'floating_point_number' (relative to system trigger)
MarkerTriggerTime | 'floating_point_number' (relative to system trigger)

Parents

This element can have the following parents: <Module>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup query. You can also use this element string as an XMLCommand with the DoCommands method to configure the External Protocol Analyzer module.

Example

<Markers
      MarkerTriggerTime='0.000000600000000000000000'
      MarkerAxTime='-0.000006100000000000000000'
      MarkerBxTime='-0.000001100000000000000000'
/>


<Programming> Element

The <Programming> element describes logic analyzer setup information.

Attributes

Name | Description
LATrigState | 'string' (the XML trigger specification for the logic analyzer in state mode)
LATrigTiming | 'string' (the XML trigger specification for the logic analyzer in timing mode)

Parents

This element can have the following parents: <Module>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup query. You can also use this element string as an XMLCommand with the DoCommands method to configure the External Protocol Analyzer module.

Example

<Programming
      LATrigTiming='
         &lt;Module&gt;
            &lt;Trigger Mode=&quot;Timing&quot;&gt;
               &lt;Sequence Level=&quot;1&quot;&gt;
                  &lt;If&gt;
                     &lt;Event&gt;
                        &lt;Anything/&gt;
                     &lt;/Event&gt;
                     &lt;Occurrence Value=&quot;1&quot;/&gt;
                     &lt;Action&gt;
                        &lt;TriggerAction
                           Operator=&quot;Fill Memory&quot;/&gt;
                     &lt;/Action&gt;
                  &lt;/If&gt;
               &lt;/Sequence&gt;
            &lt;/Trigger&gt;
         &lt;/Module&gt;
      '
      LATrigState='
         &lt;Module&gt;
            &lt;Trigger Mode=&quot;State&quot;&gt;
               &lt;StoreQual&gt;
                  &lt;Event&gt;
                     &lt;Anything/&gt;
                  &lt;/Event&gt;
               &lt;/StoreQual&gt;
               &lt;Sequence Level=&quot;1&quot;&gt;
                  &lt;If&gt;
                     &lt;Event&gt;
                        &lt;Anything/&gt;
                     &lt;/Event&gt;
                     &lt;Occurrence Value=&quot;1&quot;/&gt;
                     &lt;Action&gt;
                        &lt;TriggerAction
                           Operator=&quot;Fill Memory&quot;&gt;
                           &lt;StoreQual&gt;
                              &lt;Event&gt;
                                 &lt;Anything/&gt;
                              &lt;/Event&gt;
                           &lt;/StoreQual&gt;
                        &lt;/TriggerAction&gt;
                     &lt;/Action&gt;
                  &lt;/If&gt;
               &lt;/Sequence&gt;
            &lt;/Trigger&gt;
         &lt;/Module&gt;
      '
/>


<ProtocolAnalyzerServer> Element

The <ProtocolAnalyzerServer> element contains information about the protocol analyzer server.

Attributes

Name | Description
CorrelationID | 'string' (identifies a particular protocol analyzer)
ModuleName | 'string' (names of protocol analyzer modules used in the session)
Name | 'string' (hostname or IP address of the protocol analyzer server to connect to)

Parents

This element can have the following parents: <Module>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup query. You can also use this element string as an XMLCommand with the DoCommands method to configure the External Protocol Analyzer module.

Example

<ProtocolAnalyzerServer
      Name='dk5930m1'
      CorrelationID='d956c940-90ee-4f55-b760-f6d9469220dd'
      ModuleName='FC 1G-4G, FC 1G-4G'
/>


<TriggerSetup> Element

The <TriggerSetup> element describes the external protocol analyzer trigger options.

Attributes

Name | Description
Analyzer | 'string' (name of logic analyzer module the protocol analyzer is associated with)
AutoDeskew | 'F' (false) or 'T' (true)
AutoDeskewExtIntTime | 'floating_point_number' (the deskew time for the protocol analyzer triggering the logic analyzer)
AutoDeskewIntExtTime | 'floating_point_number' (the deskew time for the logic analyzer triggering the protocol analyzer)
ManualDeskewExtIntTime | 'floating_point_number' (the deskew time for the protocol analyzer triggering the logic analyzer)
ManualDeskewIntExtTime | 'floating_point_number' (the deskew time for the logic analyzer triggering the protocol analyzer)
TriggerDirection | 'LATrigPA' or 'PATrigLA'

Parents

This element can have the following parents: <Module>.

When used in COM automation, this element is returned by the QueryCommand method's GetAllSetup query. You can also use this element string as an XMLCommand with the DoCommands method to configure the External Protocol Analyzer module.

Example

<TriggerSetup
      TriggerDirection='LATrigPA'
      AutoDeskew='T'
      Analyzer='My 16752A-1'
      AutoDeskewIntExtTime='6.000000e-007'
      AutoDeskewExtIntTime='-6.000000e-007'
      ManualDeskewIntExtTime='0.000000e+000'
      ManualDeskewExtIntTime='0.000000e+000'
/>


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Microsoft®, MS-DOS®, Windows®, Windows 2000®, and Windows XP® are U.S. registered trademarks of Microsoft Corporation.

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.